/* 
 * AndSys 0.3.e.21 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.Html;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.TextView;

public class ActivityHelpReadme extends Activity {

    /*
     * TODO: designed for tablets
     */

    private TextView mTextView = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the activity content from a layout resource
        this.setContentView(R.layout.activity_help_readme);

        /*
         * Initialize mTextView
         */
        mTextView = (TextView) findViewById(R.id.textViewStyledtext);

        // Enable scrolling movement
        mTextView.setMovementMethod(new ScrollingMovementMethod());

        // fix: into ScrollView click (for scrolling) on text changes font color in black...
        mTextView.setTextColor(mTextView.getCurrentTextColor());

        // to: Features Overview of AndSys
        // set styled (html) text
        mTextView.setText(Html.fromHtml(getString(R.string.activity_help_readme_styledtext)));

    }

    /**
     * Action for Readme Contribute Button
     * 
     * @param view
     */
    public void onClickButtonContribute(View view) {
        Intent intent = new Intent();
        Uri uri = Uri.parse(getString(R.string.activity_help_readme_contribute_link));
        intent.setAction(Intent.ACTION_VIEW);
        intent.addCategory(Intent.CATEGORY_BROWSABLE);
        intent.setData(uri);
        startActivity(intent);
        intent.removeCategory(Intent.CATEGORY_BROWSABLE);
    }

    /**
     * Action for Readme License Button
     * 
     * @param view
     */
    public void onClickButtonLicense(View view) {
        Intent intent = new Intent();
        Uri uri = Uri.parse(getString(R.string.activity_help_readme_license_link));
        intent.setAction(Intent.ACTION_VIEW);
        intent.addCategory(Intent.CATEGORY_BROWSABLE);
        intent.setData(uri);
        startActivity(intent);
        intent.removeCategory(Intent.CATEGORY_BROWSABLE);
    }

    /**
     * Action for Readme Site Button
     * 
     * @param view
     */
    public void onClickButtonSite(View view) {
        Intent intent = new Intent();
        Uri uri = Uri.parse(getString(R.string.activity_help_readme_site_link));
        intent.setAction(Intent.ACTION_VIEW);
        intent.addCategory(Intent.CATEGORY_BROWSABLE);
        intent.setData(uri);
        startActivity(intent);
        intent.removeCategory(Intent.CATEGORY_BROWSABLE);
    }

    /**
     * Action for Readme Donate Button
     * 
     * @param view
     */
    public void onClickButtonDonate(View view) {
        Intent intent = new Intent();
        Uri uri = Uri.parse(getString(R.string.activity_help_readme_donate_link));
        intent.setAction(Intent.ACTION_VIEW);
        intent.addCategory(Intent.CATEGORY_BROWSABLE);
        intent.setData(uri);
        startActivity(intent);
        intent.removeCategory(Intent.CATEGORY_BROWSABLE);
    }
}
