/* 
 * AndSys 0.3.e.21 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

public class ActivityInfo extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the activity content from a layout resource
        this.setContentView(R.layout.activity_info);

        /*
         * check ready
         */
        if (Application.packages == null) {
            // NO: Launch ActivityLoading
            final Intent intent = new Intent(this, ActivityLoading.class);
            startActivity(intent);
            finish();
        } else if (Application.packages.size() <= 0) {
            // NO: Launch ActivityLoading
            final Intent intent = new Intent(this, ActivityLoading.class);
            startActivity(intent);
            finish();
        } else {
            // OK: Reset redirect count (Activities: Loading -> Packages -> Loading)
            // Application.redirect = 0;

            TextView activityInfoAndroidVersion = (TextView) findViewById(R.id.activityInfoAndroidVersion);
            activityInfoAndroidVersion.setText("" + Device.ANDROID_VERSION + " (API "
                    + Device.ANDROID_API + ")");

            TextView activityInfoDeviceModel = (TextView) findViewById(R.id.activityInfoDeviceModel);
            activityInfoDeviceModel.setText("" + Device.MODEL_NAME);

            TextView activityInfoDisplayHeightPixels = (TextView) findViewById(R.id.activityInfoDisplayHeightPixels);
            activityInfoDisplayHeightPixels.setText("" + Application.deviceDisplayHeightPixels);

            TextView activityInfoDisplayWidthPixels = (TextView) findViewById(R.id.activityInfoDisplayWidthPixels);
            activityInfoDisplayWidthPixels.setText("" + Application.deviceDisplayWidthPixels);

            TextView memPhoneStorageMb = (TextView) findViewById(R.id.memPhoneStorageMb);
            memPhoneStorageMb.setText("" + Application.deviceMemPhoneStorageMb);

            TextView memSdCardMb = (TextView) findViewById(R.id.memSdCardMb);
            memSdCardMb.setText("" + Application.deviceMemSdCardMb);

            TextView activityInfoScreenSizeClass = (TextView) findViewById(R.id.activityInfoScreenSizeClass);
            activityInfoScreenSizeClass.setText("" + Application.deviceScreenSizeClass);

            TextView activityInfoScreenDensityClass = (TextView) findViewById(R.id.activityInfoScreenDensityClass);
            activityInfoScreenDensityClass.setText("" + Application.deviceScreenDensityClass);
        }
    }
}
