/* 
 * AndSys 0.3.e.21 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;

public class ActivityLoading extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the activity content from a layout resource
        setContentView(R.layout.activity_loading);
        
    }

    @Override
    protected void onResume() {
        super.onResume();

        /*
         * final: # Stops the variable being assigned to something else. # Does NOT stop the
         * variable being mutated, e.g. having its fields set to new values. # Makes code more
         * readable (IMHO) because the reader never has to wonder whether the variable will be
         * reassigned later on in the code. # Guards against the category of bug whereby variables
         * are accidentally reassigned (same reasoning behind making instances immutable, only on a
         * smaller scale).
         */
        final Intent intent = new Intent(this, ActivityPackages.class); 
        
        // to: Displaying progress bar when waiting
        final Context context = this.getBaseContext();
        
        // to use in type new Runnable
        final android.app.Activity activity = this;
        
        Handler handler = new Handler();
        handler.postDelayed(new Runnable() {
            @Override
            public void run() {

                // --- IN BACKGROUND: BEGIN ---

                // Acquire Packages List (in the global scope) Application
                Application.packages(context);

                // Order by.. (in the global scope)
                Application.packagesSort();
                
                
                // Acquire Device Information
                Application.device(activity);

                // increment redirect counter (Activities: Loading -> Packages -> Loading)
                //Application.redirect++;
                
                // --- IN BACKGROUND: END ---

                //if (Application.redirect <= Application.MAX_REDIRECT) {
                    // Start Packages List Activity...
                    startActivity(intent);
                    finish();
                //    
                //} else {
                //    textView.append(" "+ getText(R.string.error) + ":17.");
                //}

            }

        }, 1000);
    }    
}
