/* 
 * AndSys 0.3.e.21 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import android.app.Activity;
import android.content.Context;

/**
 * Base class for those who need to maintain GLOBAL application state.
 */
public class Application extends android.app.Application {

    //public static int redirect = 0;
    //public static final int MAX_REDIRECT = 3;

    /*
     * Packages Activity constants and fields
     */

    /**
     * Packages list
     */
    public static List<Package> packages = null;

    /**
     * to: Maintain the position of applications list when go to another application.
     */
    public static int packagesPosition = 0;

    /**
     * Sort / order by
     * 
     * CHANGE BOTH (res)R.array.activity_packages_spinner AND (src)Application.java!!
     */
    public static int orderby = 0;
    public static final int ORDERBY_NAME = 0;
    public static final int ORDERBY_NAME_DESC = 1;
    public static final int ORDERBY_PACKAGE = 2;
    public static final int ORDERBY_PACKAGE_DESC = 3;
    public static final int ORDERBY_INSTALLED = 4;
    public static final int ORDERBY_INSTALLED_DESC = 5;
    public static final int COUNT_ORDERBY = 6;

    /*
     * Info Activity costants and fields
     */

    public static int deviceDisplayHeightPixels = 0;
    public static int deviceDisplayWidthPixels = 0;
    public static int deviceMemPhoneStorageMb = 0;
    public static int deviceMemSdCardMb = 0;
    public static String deviceScreenSizeClass;
    public static String deviceScreenDensityClass;

    /*
     * Packages Activity Methods
     */

    public static final void packages(Context context) {
        Application.packages = Package.list(context);
    }

    /**
     * Sorting the packages
     */
    public static final void packagesSort() {
        Comparator<Package> pc;
        switch (Application.orderby) {
        case Application.ORDERBY_PACKAGE:
            pc = new Package.ComparatorPackage();
            break;
        case Application.ORDERBY_PACKAGE_DESC:
            pc = new Package.ComparatorPackage();
            pc = Collections.reverseOrder(pc);
            break;
        case Application.ORDERBY_NAME:
            pc = new Package.ComparatorName();
            break;
        case Application.ORDERBY_NAME_DESC:
            pc = new Package.ComparatorName();
            pc = Collections.reverseOrder(pc);
            break;
        case Application.ORDERBY_INSTALLED:
            pc = new Package.ComparatorInstalled();
            break;
        default:
            pc = new Package.ComparatorInstalled();
            pc = Collections.reverseOrder(pc);
        }
        // check if list is ready
        if (Application.packages != null) {
            if (Application.packages.size() > 0) {
                Collections.sort(Application.packages, pc);
            }
        }
    }

    /*
     * Info Activity Methods
     */

    public static final void device(Activity activity) {

        Application.deviceDisplayHeightPixels = Device.displayHeightPixels(activity);
        Application.deviceDisplayWidthPixels = Device.displayWidthPixels(activity);
        Application.deviceScreenDensityClass = Device.screenDensityClass(activity);
        Application.deviceMemPhoneStorageMb = (int) (Device.memPhoneStorageTotal() / 1024000);
        Application.deviceMemSdCardMb = (int) (Device.memSdCardTotal() / 1024000);
        Application.deviceScreenSizeClass = Device.screenSizeClass(activity);
    }

}
